Description: cmake does not consider all external flags, so we need to add them directly
Index: libdfu-ahp-1.0~git20221215.dd2df39/CMakeLists.txt
===================================================================
--- libdfu-ahp-1.0~git20221215.dd2df39.orig/CMakeLists.txt	2022-12-15 20:53:33.000000000 +0100
+++ libdfu-ahp-1.0~git20221215.dd2df39/CMakeLists.txt	2023-01-11 09:47:56.183336522 +0100
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.6)
+#cmake_minimum_required(VERSION 2.6)
 
 project(dfu C CXX)
 
@@ -41,6 +41,9 @@
 
 target_link_libraries(dfu ${CMAKE_THREAD_LIBS_INIT} ${M_LIB} ${USB_LIBRARIES})
 
+set(HARDENING_LINK_FLAGS "-Wl,-z,now")
+target_link_options(dfu PUBLIC ${HARDENING_LINK_FLAGS})
+
 install(TARGETS dfu LIBRARY DESTINATION ${LIB_INSTALL_DIR})
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/libdfu.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/dfu)
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dfu.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/dfu)
